[asterisk-scf-commits] asterisk-scf/release/slice.git branch "master" updated.

Commits to the Asterisk SCF project code repositories asterisk-scf-commits at lists.digium.com
Mon Feb 7 18:43:53 CST 2011


branch "master" has been updated
       via  fe141a9ec5641b863173ef2831f0608b96e9d925 (commit)
       via  b2dadc2aaca3e4525da4b79fe1c14c8e79a56609 (commit)
       via  738e77da64963e90ec4e26589aae698d3874573d (commit)
       via  d8ee2a8a7aeb751da2fb34d05a91cf883a42f81e (commit)
       via  a5de8e041c94935e8c32886387529e9a8871dded (commit)
       via  6977d58a29687a0432362526730a685f94a1cc59 (commit)
      from  20ba5407e321c043fda6618ad6facef8758be471 (commit)

Summary of changes:
 .gitignore                                         |    2 +
 ...skSCFDotNetAPI.csproj => AsteriskSCF-API.csproj |    6 ++--
 AsteriskSCFDotNetAPI.sln => AsteriskSCF-API.sln    |    2 +-
 Properties/AssemblyInfo.cs                         |   12 ++++----
 README_VISUALSTUDIO.txt                            |   22 ++------------
 build.xml                                          |    5 ++-
 make-mono-api.sh                                   |   31 ++++++++++++++++++++
 make-python-api.sh                                 |   24 ++++++++++++++-
 make-ruby-api.sh                                   |   29 ++++++++++++++++++
 sliceCSharpHelp.shfbproj                           |    4 +-
 10 files changed, 103 insertions(+), 34 deletions(-)
 rename AsteriskSCFDotNetAPI.csproj => AsteriskSCF-API.csproj (97%)
 rename AsteriskSCFDotNetAPI.sln => AsteriskSCF-API.sln (90%)
 create mode 100755 make-mono-api.sh
 create mode 100755 make-ruby-api.sh


- Log -----------------------------------------------------------------
commit fe141a9ec5641b863173ef2831f0608b96e9d925
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Mon Feb 7 13:13:54 2011 +0100

    Add an initial Ruby API generator script.

diff --git a/.gitignore b/.gitignore
index 628cf75..f350d60 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,5 @@
 java
 python
 mono
+ruby
 
diff --git a/make-ruby-api.sh b/make-ruby-api.sh
new file mode 100755
index 0000000..01bbe81
--- /dev/null
+++ b/make-ruby-api.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+if [ -z "${ICE_HOME}" ]
+then
+    echo "ICE_HOME has no value. ICE_HOME must be set to locate Ice."
+    exit 1
+fi
+
+if [ ! -x "${ICE_HOME}/bin/slice2cs" ]
+then
+    echo "slice2rb translator not found in ICE_HOME"
+    echo "(${ICE_HOME})"
+    exit 1
+fi
+
+rm -rf ruby
+
+mkdir ruby
+
+find AsteriskSCF -name \*.ice -print | while read slice
+do
+    slicedir=`dirname "${slice}"`
+    mkdir -p "ruby/${slicedir}"
+    echo "Translating ${slice} into Ruby..."
+#   --plugin SliceVisitorPattern:create
+    ${ICE_HOME}/bin/slice2rb -I ${ICE_HOME}/slice -I . --output-dir "ruby/${slicedir}" --checksum "${slice}"
+done
+
+echo "Finished."

commit b2dadc2aaca3e4525da4b79fe1c14c8e79a56609
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Mon Feb 7 13:13:41 2011 +0100

    Correct error message.

diff --git a/make-python-api.sh b/make-python-api.sh
index 5ee04bb..539ed18 100755
--- a/make-python-api.sh
+++ b/make-python-api.sh
@@ -8,7 +8,7 @@ fi
 
 if [ ! -x "${ICE_HOME}/bin/slice2cs" ]
 then
-    echo "slice2cs translator not found in ICE_HOME"
+    echo "slice2py translator not found in ICE_HOME"
     echo "(${ICE_HOME})"
     exit 1
 fi

commit 738e77da64963e90ec4e26589aae698d3874573d
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Mon Feb 7 13:04:34 2011 +0100

    Byte-compile generated Python sources.

diff --git a/make-python-api.sh b/make-python-api.sh
index afac053..5ee04bb 100755
--- a/make-python-api.sh
+++ b/make-python-api.sh
@@ -25,4 +25,10 @@ do
     ${ICE_HOME}/bin/slice2py -I ${ICE_HOME}/slice -I . --output-dir python --checksum --plugin SliceVisitorPattern:create --prefix "${prefix}" "${slice}"
 done
 
+find python -name \*.py -print | while read py
+do
+    echo "Compiling ${py}..."
+    pycompile "${py}"
+done
+
 echo "Finished."

commit d8ee2a8a7aeb751da2fb34d05a91cf883a42f81e
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Mon Feb 7 12:58:25 2011 +0100

    Rename .Net API library output to not include 'DotNet'
    in its name, because its use is not restricted to the
    .Net platform.
    
    Add a script to build a Mono API library.

diff --git a/.gitignore b/.gitignore
index b3c7ec9..628cf75 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
 java
 python
+mono
 
diff --git a/AsteriskSCFDotNetAPI.csproj b/AsteriskSCF-API.csproj
similarity index 97%
rename from AsteriskSCFDotNetAPI.csproj
rename to AsteriskSCF-API.csproj
index fd6b1f5..bff5ef5 100644
--- a/AsteriskSCFDotNetAPI.csproj
+++ b/AsteriskSCF-API.csproj
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -9,7 +9,7 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>AsteriskSCF</RootNamespace>
-    <AssemblyName>AsteriskSCFDotNetApi</AssemblyName>
+    <AssemblyName>AsteriskSCF-Api</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <StartupObject>
@@ -94,4 +94,4 @@
       <UserProperties ZerocIce_IncludePath="." ZerocIce_Prefix="True" ZerocIce_HomeExpanded="C:\Ice-3.4.1" ZerocIce_Enabled="True" ZerocIce_Home="C:\Ice-3.4.1" />
     </VisualStudio>
   </ProjectExtensions>
-</Project>
\ No newline at end of file
+</Project>
diff --git a/AsteriskSCFDotNetAPI.sln b/AsteriskSCF-API.sln
similarity index 90%
rename from AsteriskSCFDotNetAPI.sln
rename to AsteriskSCF-API.sln
index d1c3cdd..aa96cea 100644
--- a/AsteriskSCFDotNetAPI.sln
+++ b/AsteriskSCF-API.sln
@@ -1,7 +1,7 @@
 
 Microsoft Visual Studio Solution File, Format Version 10.00
 # Visual Studio 2008
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AsteriskSCFDotNetAPI", "AsteriskSCFDotNetAPI.csproj", "{EE231540-8BC5-43F5-95E3-BEBFABC7751F}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AsteriskSCF-API", "AsteriskSCF-API.csproj", "{EE231540-8BC5-43F5-95E3-BEBFABC7751F}"
 EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
diff --git a/Properties/AssemblyInfo.cs b/Properties/AssemblyInfo.cs
index ecc6a38..a2660a4 100644
--- a/Properties/AssemblyInfo.cs
+++ b/Properties/AssemblyInfo.cs
@@ -5,13 +5,13 @@ using System.Runtime.InteropServices;
 // General Information about an assembly is controlled through the following 
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("AsteriskSCFDotNetAPI")]
-[assembly: AssemblyDescription("Asterisk SCF .Net API")]
+[assembly: AssemblyTitle("AsteriskSCF-API")]
+[assembly: AssemblyDescription("Asterisk SCF API")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("Digium, Inc")]
-[assembly: AssemblyProduct("AsteriskSCFDotNetAPI")]
-[assembly: AssemblyCopyright("Copyright (C) 2010")]
-[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCompany("Digium, Inc.")]
+[assembly: AssemblyProduct("AsteriskSCF-API")]
+[assembly: AssemblyCopyright("Copyright (C) 2010-2011")]
+[assembly: AssemblyTrademark("Asterisk is a registered trademark of Digium, Inc.")]
 [assembly: AssemblyCulture("")]
 
 // Setting ComVisible to false makes the types in this assembly not visible 
diff --git a/README_VISUALSTUDIO.txt b/README_VISUALSTUDIO.txt
index 1ce4a5c..1744589 100644
--- a/README_VISUALSTUDIO.txt
+++ b/README_VISUALSTUDIO.txt
@@ -3,7 +3,7 @@
 README_VISUALSTUDIO.txt
 -----------------------
 
-- The Visual Studio solution is for Windows / Mono developers who wish
+- The Visual Studio solution is for Windows developers who wish
 to build Asterisk SCF components with .Net languages. All others 
 may safely igore its existence. 
 
@@ -103,7 +103,7 @@ with a name that ends in "Operations_", of more interest is the related
 abstract class which implements the interface. This class has a similar name, 
 only ending in "Disp_" (for dispatch). There are similarly named types with 
 NC_ appended, which means "No Current". This provides interfaces defined
-with and without a traling Ice current context parameter to each operation. 
+with and without a trailing Ice current context parameter to each operation. 
 
 Typically you will only need to implement the class with the Disp_ postfix. For example, 
 the slice defined interface named EndpointLocator is translated to an interface named 
@@ -114,20 +114,4 @@ All of the Ice Proxy types end in Prx, and each of these has a related Helper cl
 The helper class contains operations to perform a checkedCast on the related proxy type.
 
 For more information, review ZeroC's online documentation on the C# mappings 
-for Slice. 
-  
-   
-
-
-
-
-
-
-
-
-
-
-
-
-
-
+for Slice.
diff --git a/make-mono-api.sh b/make-mono-api.sh
new file mode 100755
index 0000000..a8ad426
--- /dev/null
+++ b/make-mono-api.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+if [ -z "${ICE_HOME}" ]
+then
+    echo "ICE_HOME has no value. ICE_HOME must be set to locate Ice."
+    exit 1
+fi
+
+if [ ! -x "${ICE_HOME}/bin/slice2cs" ]
+then
+    echo "slice2cs translator not found in ICE_HOME"
+    echo "(${ICE_HOME})"
+    exit 1
+fi
+
+rm -rf mono
+
+mkdir -p mono/generated
+
+find AsteriskSCF -name \*.ice -print | while read slice
+do
+    slicedir=`dirname "${slice}"`
+    mkdir -p "mono/generated/${slicedir}"
+    echo "Translating ${slice} into C#..."
+    ${ICE_HOME}/bin/slice2cs -I ${ICE_HOME}/slice -I . --output-dir "mono/generated/${slicedir}" --stream --checksum --plugin SliceVisitorPattern:create "${slice}"
+done
+
+echo "Compiling generated C# into a library..."
+gmcs -debug -out:mono/AsteriskSCF-API.dll -t:library -recurse:'mono/generated/*.cs' Properties/AssemblyInfo.cs "-lib:${ICE_HOME}/bin" -r:Ice
+
+echo "Finished."
diff --git a/sliceCSharpHelp.shfbproj b/sliceCSharpHelp.shfbproj
index 424835f..cb5477e 100644
--- a/sliceCSharpHelp.shfbproj
+++ b/sliceCSharpHelp.shfbproj
@@ -18,7 +18,7 @@
     <HtmlHelpName>Documentation</HtmlHelpName>
     <Language>en-US</Language>
     <DocumentationSources>
-      <DocumentationSource sourceFile="AsteriskSCFDotNetAPI.sln" />
+      <DocumentationSource sourceFile="AsteriskSCF-API.sln" />
     </DocumentationSources>
     <CppCommentsFixup>True</CppCommentsFixup>
     <ApiFilter>
@@ -280,4 +280,4 @@
   </PropertyGroup>
   <!-- Import the SHFB build targets -->
   <Import Project="$(SHFBROOT)\SandcastleHelpFileBuilder.targets" />
-</Project>
\ No newline at end of file
+</Project>

commit a5de8e041c94935e8c32886387529e9a8871dded
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Mon Feb 7 12:56:00 2011 +0100

    Add some basic error checking.
    
    Add common Slice translator flags.

diff --git a/make-python-api.sh b/make-python-api.sh
index cbe9c1a..afac053 100755
--- a/make-python-api.sh
+++ b/make-python-api.sh
@@ -1,5 +1,18 @@
 #!/bin/bash
 
+if [ -z "${ICE_HOME}" ]
+then
+    echo "ICE_HOME has no value. ICE_HOME must be set to locate Ice."
+    exit 1
+fi
+
+if [ ! -x "${ICE_HOME}/bin/slice2cs" ]
+then
+    echo "slice2cs translator not found in ICE_HOME"
+    echo "(${ICE_HOME})"
+    exit 1
+fi
+
 rm -rf python
 
 mkdir python
@@ -8,5 +21,8 @@ find AsteriskSCF -name \*.ice -print | while read slice
 do
     slicedir=`dirname "${slice}"`
     prefix="${slicedir//\//_}_"
-    ${ICE_HOME}/bin/slice2py -I ${ICE_HOME}/slice -I . --output-dir python --prefix "${prefix}" "${slice}"
+    echo "Translating ${slice} into Python..."
+    ${ICE_HOME}/bin/slice2py -I ${ICE_HOME}/slice -I . --output-dir python --checksum --plugin SliceVisitorPattern:create --prefix "${prefix}" "${slice}"
 done
+
+echo "Finished."

commit 6977d58a29687a0432362526730a685f94a1cc59
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Mon Feb 7 12:55:23 2011 +0100

    Add some translator flags to slice2java calls.
    
    Generate source files directly in java/generated-sources.

diff --git a/build.xml b/build.xml
index 5c1ddf3..3d8e485 100644
--- a/build.xml
+++ b/build.xml
@@ -3,7 +3,7 @@
          xmlns:artifact="antlib:org.apache.maven.artifact.ant">
     <property environment="env"/>
     <property name="slice2java-dir"
-              value="java/generated-sources/slice2java"/>
+              value="java/generated-sources"/>
     <property name="generated-pom-dir"
               value="java/tmp/pom"/>
     <property name="classes-dir" value="java/classes"/>
@@ -28,7 +28,8 @@
     <target name="generate-sources" depends="init"
             description="Generate .java files from .slice sources">
         <mkdir dir="${slice2java-dir}"/>
-        <slice2java outputdir="${slice2java-dir}">
+        <slice2java outputdir="${slice2java-dir}"
+		    stream="true" underscore="true" checksum="AsteriskSCF.APIChecksums">
             <fileset dir=".">
                 <include name="**/*.ice"/>
             </fileset>

-----------------------------------------------------------------------


-- 
asterisk-scf/release/slice.git



More information about the asterisk-scf-commits mailing list